PDA

View Full Version : Error in walter's rib exporter


JoBbE
05-10-2003, 06:32 PM
i was trying to export a blenbder scene to rib to render it with bmrt and I tried Jan Walter's rib exporter for that. but it's giving me an error at the very end in this line:
scene = blender.getCurrentScene()

Attribute Error: 'module' object has no attribute 'getCurrentScene'

what can I do about that? is there another way to export to rib? thx alot!

dani
05-10-2003, 10:48 PM
Hi!

Hum, well even though Walter's exporters were some of the very first they aren't the best that have been written.
Green wrote a script called "Blenderman"... I'm doing a quick search for this

you can get a version here:

http://www.nicodigital.com/xoops/html/modules/mydownloads/

go down the page until you find "blenderman"

I have the idea it'll only work with blender 2.23 though I may be wrong.

Dani
PS: Green is working on an experimental RIB export feature hardcoded into blender :bounce: yeah!

JoBbE
05-11-2003, 02:04 AM
thank you! I'll try blenderman, let's hope it works...
and I'm sure that hardcoded exporter would be cool :beer:

JoBbE
05-11-2003, 11:13 AM
arr, it doesn't work with 2.26
should I download 2.23 or should I try to get it working? well, if I get some help, I'd rather get it working.

the error I get is that

import Blender210

doesn't work. is there an aquivalent module in 2.26? I didn't find anything in the python api docs, I'm not sure if I had the most recent ones (directly from the blender hp, but they say it's the old version)?

dani
05-11-2003, 12:00 PM
Hi!

Yep, I think that the Blender210 module only exists up to B2.23... I might be wrong but I think that's it so you should download B2.23.... I'll soon install Delight to test experimental rib export.

Ciao
Dani

JoBbE
05-11-2003, 01:52 PM
ok, then I'll get 2.23
i don't suppose the features differ that much do they?

and I also installed 3delight, a cool renderer it seems :)
need to test aqsis though, I like open source better than free beer ;P

edit: wow in direct comparison with bmrt 3delight is a real speeedy
and the image quality is much better..
wow.

JoBbE
05-11-2003, 04:19 PM
I got 2.23 and blenderman is working BUT
I had to do some tweaking.

first BM didn't find 3delight (no problem with bmrt)
-> I had to tell it to use the full 3delight path instead of 'renderdl'
strange, as the normal win command line will accept simply putting 'renderdl'. env variables are set.

so now BM finds 3delight. but it renders nothing. bmrt output is also black. I checked the rib file, and there is no light in there. how can I tell bm to export the lights aswell?

huh?? I don't know what I changed but now it's working o_O
strange. but cool :rolleyes:

:beer:

JoBbE
05-11-2003, 04:49 PM
hmm after some testing I decided to wait for the hardcoded rib support by green. and now I'm moving on to testing yafray + yable :)

Xtra
05-25-2003, 05:17 PM
Seems to be the typical Blender trash. Sorry for being so harsh, but sometimes it's really frustrating. Even when you have three Blender versions on two different operating systems with some versions of the same sript and an old and new version of Python you don't have any guarantees that something will working properly.

dani
05-26-2003, 12:52 PM
Python is being completely rewritten to give at last a unified api to scipters.
They're aiming at 100%compatibility, but that is hard to maintain so some scripts may need to be re-written, this can be benefic.

The brand new and complete api is planned to come out with 2.28.

I hope I'm not saying anything wrong, If i am, python gurus please do correct me :)

Dani

CGTalk Moderation
01-15-2006, 02:00 AM
This thread has been automatically closed as it remained inactive for 12 months. If you wish to continue the discussion, please create a new thread in the appropriate forum.